## org.hibernate.service.spi
Interface ServiceInitiator<R extends Service>

All Known Subinterfaces:
  BasicServiceInitiator<R>, SessionFactoryServiceInitiator<R>

All Known Implementing Classes:
  BatchBuilderInitiator, ConfigurationServiceInitiator, ConnectionProviderInitiator, DialectFactoryInitiator, DialectResolverInitiator, EventListenerServiceInitiator, ImportSqlCommandExtractorInitiator, JdbcServicesInitiator, JmxServiceInitiator, JndiServiceInitiator, JtaPlatformInitiator, MultiTenantConnectionProviderInitiator, MutableIdentifierGeneratorFactoryInitiator, PersisterClassResolverInitiator, PersisterFactoryInitiator, RegionFactoryInitiator, SessionFactoryServiceRegistryFactoryInitiator, StatisticsInitiator, TransactionFactoryInitiator

    public interface ServiceInitiator<R extends Service>

Base contract for an initiator of a service.

Method Summary
`Class<R>` `getServiceInitiated()` Obtains the service role initiated by this initiator.

Method Detail

### getServiceInitiated

    Class<R> getServiceInitiated()

  Obtains the service role initiated by this initiator. Should be unique within a registry

  Returns:
    The service role.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.